Subject: bug#36826: 26.1; request: add variable value editing feature to the *Help* buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Jul 2019 20:01:12 +0200

ndame <[email-masked]> writes:

> Bind the currently unused key 'e' to edit the variable's value, maybe
> in a separate popup buffer if the value is complex. E.g. the user
> presses e, the value pops up rendered in editable lisp format, the
> user edits it in place, presses C-c C-c and the variable is set to the
> new value.

I think this sounds useful.  I'm often rooting around not quite sure
what variable I'm looking for in the help buffers, and trying different
values, and having a command to make this faster would be nice.  There's
`customize-variable', but I...  just don't like it.  (And besides, not
all variables are customisable...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no